package cn.iocoder.yudao.module.configure.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 操作类型
 */
@Getter
@AllArgsConstructor
public enum LinkItemTypeEnum implements IntArrayValuable {

    IMAGE(1, "图片"),
    VIDEO(2, "视频"),
    TEXT(3, "文本"),
    LONG_TEXT(4, "长文本"),
    NO_TITLE_TEXT(5, "无标文本"),
    NO_TITLE_LONG_TEXT(6, "无标长文本"),
    MAP(7, "地图"),
    BIG_IMAGE(8, "大图"),
    PDF(9, "PDF"),
    ;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(LinkItemTypeEnum::getType).toArray();

    /**
     * 操作类型
     */
    private final Integer type;

    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
